<template>
  <div>
    <button type="button" @click="plusCount">+</button>
    <span class="count-product">{{ count }}</span>
    <button type="button" @click="minusCount">-</button>
  </div>
</template>
<script>
export default {
  props: {
    count: {
      type: Number,
      required: true
    },
    id: {
      type: Number,
      required: true
    }
  },
  name: 'ChangeCountProduct',
  methods: {
    plusCount: function() {
      this.$store.dispatch('plusCount', this.id)
    },
    minusCount: function() {
      if (this.count > 1) {
        this.$store.dispatch('minusCount', this.id)
      }
    }
  }
}
</script>
<style lang="scss">
.count-product {
  margin: 0px 15px;
}
</style>